{% extends 'base.html' %}

{% block title %}
    Todo Item
{% endblock %}

{% block content %}
    <div class="text-center my-3">
    <h1>{{ task_name }}</h1>
    <h3>Description:</h3>
    <p>{{ description }}</p>
    <h3>Status:</h3>
    <p>{{ status }}</p>

    <button class="btn btn-primary mx-1 text-decoration-none">
        <a href="{% url 'todolist:update_task' id %}" class="text-light text-decoration-none">
            Update Task    
        </a>
    </button>

    <button class="btn btn-primary mx-1 text-decoration-none">
        <a href="{% url 'todolist:delete_task' id %}" class="text-light text-decoration-none">
            Delete Task
        </a>
    </button>

    <button class="btn btn-warning mx-1 text-decoration-none">
        <a href="{% url 'todolist:index' %}" class="text-light text-decoration-none">
            Back to index page
        </a>
    </button>


    </div>
{% endblock %}



<!-- {% if todoitem_list and user.is_anonymous == False %}
<h1>
    Welcome {{user.first_name}} {{user.last_name}}!
</h1>
<h3>
    Here are your todo lists:
</h3>
<ul>
    {% for todoitem in todoitem_list %} -->
    <!-- <li><a href="/todoitem/{{ todoitem.id }}/">{{ todoitem.task_name }}</a></li>
    <li><a href="/todoitem/{{ todoitem.id }}/">{{ todoitem.description }}</a></li> -->
    <!-- <li type="none">
        TASK NAME
    </li>

    <ul>
        <li type="circle">
            {{ todoitem.task_name }}
        </li>
    </ul>
    

    <li type="none">
        DESCRIPTION
    </li>
    
    <ul>
        <li type="circle">
            {{ todoitem.description }}
        </li>
    </ul>
    

    <li type="none">
        STATUS
    </li>
    

    <ul>
        <li type="circle">
            {{ todoitem.status }}
        </li>
    </ul>

    <a href="{% url 'todolist:index' %}">Back to index page</a>

    {% endfor %}
</ul>
{% elif todoitem_list.count == 0 and user %}
<p>No tasks have been created.</p>
{% else %}
<h1>
    You are not authorized to access this page.
</h1>
<p>
    Kindly login <a href="login">here</a>
</p>
{% endif %} -->